﻿
$ErrorActionPreference = 'Stop';

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://www.ggu-software.com/fileadmin/edelivery/COMPLETE_GGU_SOFTWARE_INTERNATIONAL_20_22_009.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  softwareName  = 'ggu-software-international'
  checksum      = 'EE97A9ED5F667C43BE4F2F4A2150EF1800021484E44C08BFB1CCCA2493FFA2D7'
  checksumType  = 'sha256'
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
